function right_clipSlide() {

	this.name = "right_clipSlide";
	this.item = new Array();
	this.itemcount = 0;
	this.currentspeed = 0;
	this.scrollspeed = 50;
	this.pausedelay = 1000;
	this.pausemouseover = false;
	this.stop = false;
	this.type = 1;
	this.height = 20;
	this.width = 395;
	this.stopHeight=0;
	this.i=0;

	this.add = function () {

		var url1 = arguments[0];
		var img1 = arguments[1];
		var title1 = arguments[2];

		var url2 = arguments[3];
		var img2 = arguments[4];
		var title2 = arguments[5];

		var url3 = arguments[6];
		var img3 = arguments[7];
		var title3 = arguments[8];

		var url4 = arguments[9];
		var img4 = arguments[10];
		var title4 = arguments[11];

		var url5 = arguments[12];
		var img5 = arguments[13];
		var title5 = arguments[14];

		var url6 = arguments[15];
		var img6 = arguments[16];
		var title6 = arguments[17];

		strHTML = "<div id=\"news_photo_box\">";
		strHTML += "<div id=\"news_photo_img\"><a href=\"" + url1 + "\"><img src=\"" + img1 + "\" border=\"0\"></a></div>";
		strHTML += "<div id=\"news_photo_sub\"><a href=\"" + url1 + "\">"+ title1 + "</a></div>";
		strHTML += "</div>";

		strHTML += "<div id=\"news_box\"><span style='color:#bbbbbb;font-weight:bold;'>¤ý</span> <a href=\"" + url2 + "\">"+ title2 + "</a></div>";
		strHTML += "<div id=\"news_box\"><span style='color:#bbbbbb;font-weight:bold;'>¤ý</span> <a href=\"" + url3 + "\">"+ title3 + "</a></div>";
		strHTML += "<div id=\"news_box\"><span style='color:#bbbbbb;font-weight:bold;'>¤ý</span> <a href=\"" + url4 + "\">"+ title4 + "</a></div>";
		strHTML += "<div id=\"news_box\"><span style='color:#bbbbbb;font-weight:bold;'>¤ý</span> <a href=\"" + url5 + "\">"+ title5 + "</a></div>";
		strHTML += "<div id=\"news_box\"><span style='color:#bbbbbb;font-weight:bold;'>¤ý</span> <a href=\"" + url6 + "\">"+ title6 + "</a></div>";
		this.item[this.itemcount] = strHTML;
		this.itemcount = this.itemcount + 1;
	};


	this.start = function () {
		if ( this.itemcount == 1 ) {
			this.add(this.item[0]);
		}
		this.display();
		this.currentspeed = this.scrollspeed;
		if ( this.type == 1 || this.type == 2 ) {
			this.stop = true;
			setTimeout(this.name+'.scroll()',this.currentspeed);
			window.setTimeout(this.name+".stop = false", this.pausedelay);
		} else if ( this.type == 3 ) {
			this.stop = true;
			setTimeout(this.name+'.rolling()',this.currentspeed);
			window.setTimeout(this.name+".stop = false", this.pausedelay);
		}
	};

	this.display = function () {
		document.write('<div id="'+this.name+'" style="height:'+this.height+'; width:'+this.width+'; position:relative; overflow:hidden; " OnMouseOver="'+this.name+'.onmouseover(); " OnMouseOut="'+this.name+'.onmouseout(); ">');
		for(var i = 0; i < this.itemcount; i++) {
			document.write('<div id="'+this.name+'item'+i+'"style="left:'+(this.width*i)+'px; width:'+this.width+'; position:absolute; top:0px; ">');
			document.write(this.item[i]);
			document.write('</div>');
		}
		document.write('</div>');
	};

	this.scroll = function () {

		if ( this.pause == true ) {

			window.setTimeout(this.name+".scroll()",this.pausedelay);
			this.pause = false;

		} else {

			this.currentspeed = this.scrollspeed;
			if ( !this.stop ) {
				for (i = 0; i < this.itemcount; i++) {
					obj = document.getElementById(this.name+'item'+i).style;
					if ( this.type == 1 ) {
						obj.top = parseInt(obj.top) - 1;
						if ( parseInt(obj.top) <= this.height * (-1) ) obj.top = this.height * (this.itemcount-1);
						if ( parseInt(obj.top) == 0 ) this.currentspeed = this.pausedelay;
					} else if ( this.type == 2 ) {
						obj.left = parseInt(obj.left) - 1;
						if ( parseInt(obj.left) <= this.width * (-1) ) obj.left = this.width * (this.itemcount-1);
						if ( parseInt(obj.left) == 0 ) this.currentspeed = this.pausedelay;
					}
				}
			}
			window.setTimeout(this.name+".scroll()",this.currentspeed);
		}
	};

	this.rolling = function () {
		if ( this.stop == false  ) {
			this.next();
		}
		window.setTimeout(this.name+".rolling()",this.scrollspeed);
	}

	this.onmouseover = function () {
		if ( this.pausemouseover ) {
			this.stop = true;
		}
	};

	this.onmouseout = function () {
		if ( this.pausemouseover ) {
			this.stop = false;
		}
	};
	this.next = function() {
		for (i = 0; i < this.itemcount; i++) {
			obj = document.getElementById(this.name+'item'+i).style;
			if ( parseInt(obj.left) < 1 ) { 
				width = this.width + parseInt(obj.left);
				break;
			}
		}

		for (i = 0; i < this.itemcount; i++) {
			obj = document.getElementById(this.name+'item'+i).style;
			if ( parseInt(obj.left) < 1 ) { 
				obj.left = this.width * (this.itemcount-1);
			} else {
				obj.left = parseInt(obj.left) - width;
			}
		}
	};

	this.prev = function() {
		for (i = 0; i < this.itemcount; i++) {
			obj = document.getElementById(this.name+'item'+i).style;
			if ( parseInt(obj.left) < 1 ) {
				width = parseInt(obj.left) * (-1);
				break;
			}
		}
		if ( width == 0 ) {
			total_width = this.width * (this.itemcount-1);
			for (i = 0; i < this.itemcount; i++) {
				obj = document.getElementById(this.name+'item'+i).style;
				if ( parseInt(obj.left) + 1 > total_width ) {
					obj.left = 0;
				} else {
					obj.left = parseInt(obj.left) + this.width;
				}
			}
		} else {
			for (i = 0; i < this.itemcount; i++) {
				obj = document.getElementById(this.name+'item'+i).style;
				if ( parseInt(obj.left) < 1 ) {
					obj.left = 0;
				} else {
					obj.left = parseInt(obj.left) + width;
				}
			}
		}
	};

	this.unext = function () {
		this.next();
	};

	this.uprev = function () {
		this.prev();
	};

}